Package org.apache.wiki.forms

# Class FormOpen

java.lang.Object
org.apache.wiki.forms.FormElement
org.apache.wiki.forms.FormOpen

All Implemented Interfaces:
  `Plugin`

public class FormOpen extends FormElement
Opens a WikiForm. Builds the HTML code for opening a FORM.

Since we're only providing an opening FORM tag, we can't use the ECS utilities. A Form plugin line that produces one looks like this:

       [{FormOpen name='formname' handler='pluginname'
              submit='submitservlet'
              show='always'
       }]

Mandatory parameters:
The name field identifies this particular form to the Form plugin across pages.
The handler field is a WikiPlugin name; it will be invoked with the form field values.

Optional parameters:

The submitservlet is the name of a JSP/servlet capable of handling the input from this form. It is optional; the default value is the current page (which can handle the input by using this Plugin.)

The hide parameter affects the visibility of this form. If left out, the form is always shown. If set to 'onsuccess', the form is not shown if it was submitted successfully. (Note that a reload of the page would cause the context to reset, and the form would be shown again. This may be a useless option.)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PARAM_METHOD`
Parameter name for setting the method (GET or POST).

### Fields inherited from class org.apache.wiki.forms.FormElement

`FORM_VALUES_CARRIER, HANDLERPARAM_PREFIX, HIDE_SUCCESS, PARAM_ELEMENT, PARAM_FORM, PARAM_FORMNAMEHIDDEN, PARAM_HANDLER, PARAM_HIDEFORM, PARAM_INPUTNAME, PARAM_POPULATE, PARAM_SUBMITHANDLER, PARAM_VALUE`

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`FormOpen()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(Context ctx, Map<String,String> params)`

### Methods inherited from class org.apache.wiki.forms.FormElement

`getFormInfo, storeFormInfo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PARAM_METHOD

public static final String PARAM_METHOD
Parameter name for setting the method (GET or POST). Value is `"method"`.

See Also:
  - Constant Field Values

## Constructor Details

### FormOpen

public FormOpen()

## Method Details

### execute

public String execute(Context ctx, Map<String,String> params) throws PluginException

Throws:
  `PluginException`